/* WIDGET SKINCONSULT */
.obj_widget-skinconsult{
	display: block;
	position: fixed;
	z-index: 1001;
	bottom: 90px;
	right: 30px;
	width: 80px;
	transition: all ease 400ms;
	overflow: hidden;	
	}
.obj_widget-skinconsult:hover,
.obj_widget-skinconsult.is-open{
	width: 100%;
	max-width: 460px;
	overflow: visible;	
	}
.obj_widget-skinconsult .obj_content{
	position: absolute;
	right: -100%;
	bottom: 100px;
	opacity: 0;
	max-width: 460px;
	padding: 30px 0;
	border-radius: 20px;
	box-sizing: border-box;
	background: #fff;
	transition: all ease 400ms;	
	box-shadow: 0px 3px 10px 0px rgba(0, 0, 0, .1);
	}	
.obj_widget-skinconsult.is-open .obj_content{
	opacity: 1;	
	right: 0;	
	}
.obj_widget-skinconsult	.close {
	position: absolute;
	top: 25px;
	right: 25px;
	cursor: pointer;
	z-index: 99;
	width: 40px;
	height: 40px;
	border-radius: 20px;
	background: #F0F0F0;
	}
.obj_widget-skinconsult	.close svg {
	position: absolute;
	width: 15px;
   height: 15px;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
   fill: #1C213F;
	}

/* Content */
.obj_widget-skinconsult .ctn_header{
	padding: 0 30px 25px;
	}
.obj_widget-skinconsult .ctn_header h3 {
	display: block;
	font-size: 0;
	margin: 0 0 10px;
	width: 274px;
	height: 30px;
	text-align: left;
	background: transparent url("../images/v_title.png") no-repeat left top;
	}
.obj_widget-skinconsult .ctn_header .t_desc{
	font-size: 11px;
	text-transform: uppercase;
	}
.obj_widget-skinconsult .ctn_content{
	display: flex;
	flex-flow: row nowrap;
	justify-content: space-between;
	padding: 0 0 0 30px;
	}		
.obj_widget-skinconsult	.ctn_steps {
	position: relative;
	width: 50%;
	display: flex;
	flex-flow: column nowrap;
	}
.obj_widget-skinconsult	.ctn_steps h4{
	padding: 10px 0 15px;
	text-transform: uppercase;
	font-size: 20px;
	line-height: 1em;
	font-weight: 200;
	color: #1D213D;
	}	
.obj_widget-skinconsult	.ctn_steps h4 strong{
	font-weight: 700;
	font-size: 30px;
	}	
.obj_widget-skinconsult	.ctn_steps .step{
	display: flex;
	flex-flow: row nowrap;
	margin: 0 0 10px;
	}
.obj_widget-skinconsult	.ctn_steps .step.i_routine{
	margin: 0;
	}	
.obj_widget-skinconsult	.ctn_steps figure {
	position: relative;
	display: flex;
	min-width: 60px;
	min-height: 60px;
	border-radius: 30px;
	margin: 0 10px 0 0; 
	text-align: center;
	background: #456FB5;
	}
.obj_widget-skinconsult	.ctn_steps figure svg{
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	max-width: 100%;
	}	
.obj_widget-skinconsult	.ctn_steps .i_selfie svg {
   width: 19px;
   height: 35px;
   fill: #fff;
	}
.obj_widget-skinconsult	.ctn_steps .i_profile svg {
   width: 28px;
   height: 35px;
   fill: #fff;
	}
.obj_widget-skinconsult	.ctn_steps .i_routine svg {
   width: 100%;
   height: 36px;
   fill: #fff;
	}
.obj_widget-skinconsult	.ctn_steps .t_desc {
   margin: auto 0;
	font-size: 14px;
   text-transform: uppercase;
   color: #1C213F;
   font-weight: 400;
	text-align: left;
	}
.obj_widget-skinconsult	 .cta-container{
	text-align: center;
	margin-top: 30px;
	}
/* VISUEL */	
.obj_widget-skinconsult .ctn_visuel{
	position: relative;
	width: 50%;
	max-width: 215px;
	height: 290px;
	} 
.obj_widget-skinconsult .ctn_visuel .obj_label {
	position : absolute;
	width : 40%;
	text-align : left;	
	opacity : 0;
	z-index : 3;
	}
.obj_widget-skinconsult .ctn_visuel .obj_label:after {
	content : '';
	position : absolute;
	top : -8px;
	left : -8px;
	display : block;
	width : .66667vh;
	height : .66667vh;
	background : #fff;
	border-radius: 100%;
	z-index : 2;
	}
.obj_widget-skinconsult .ctn_visuel .obj_label.is-visible { opacity : 1; }
.obj_widget-skinconsult .ctn_visuel .obj_label.var_1 {
	top : 4.8%;
	left : 21.4%;
	transition : opacity .15s ease-in;
	}
.obj_widget-skinconsult .ctn_visuel .obj_label.var_2 {
	top : 34.5%;
	left : 51.2%;
	transition : opacity .35s ease-in;
	}
.obj_widget-skinconsult .ctn_visuel .obj_label.var_3 {
	top: 85%;
	right: 55%;
	transition : opacity .5s ease-in;
	text-align: right;
	}
.obj_widget-skinconsult .ctn_visuel .obj_label.var_3::after{
	top : -8px;
	left : auto;
	right: 0;
	}	
.obj_widget-skinconsult .ctn_visuel .obj_label .t_name {
	display: block;
	text-transform: uppercase;
	font: 14px/1em 'Calibre';
	font-weight: 700;
	color: #fff;
	}
.obj_widget-skinconsult .ctn_visuel .obj_label .obj_encart {
   display: inline-block;
	margin-top: 0.4vh;
	padding: 0.4vh;
	text-transform: uppercase;
	font-size: 11px;
	font-family: 'Calibre';
	font-weight: 400;
	line-height: 1;
	color: #fff;
	}
.obj_widget-skinconsult .ctn_visuel .obj_label .obj_encart.var_strength {
   background: #3c77e3;
	}
.obj_widget-skinconsult .ctn_visuel .obj_label .obj_encart.var_priority {
   background: #a82f31;
	}
.obj_widget-skinconsult .ctn_visuel .obj_label::after {
	content: '';
	position: absolute;
	top: 2px;
	left: -11px;
	display: block;
	width: .66667vh;
	height: .66667vh;
	background: #fff;
	border-radius: 100%;
	z-index: 2;
	}
/* BTN WIDGET */
.obj_btn-widget{
	position: relative;
	width: 80px;
	height: 80px;
	display: flex;
	flex-flow: row nowrap;
	cursor: pointer;
	margin: 0 0 0 auto;
	}
.obj_btn-widget .text{
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
	right: 0;
	opacity: 0;
	display: flex;
	flex-flow: row nowrap;
	transition: all ease 400ms;	
	background: #fff;
	border-radius: 10px;
	padding: 10px 0 10px 12px;
	}
.obj_btn-widget:hover .text{
	right: 90px;
	opacity: 1;
	}		
.obj_btn-widget .text .t_discover{
	font-size: 16px;
	margin: auto 20px 0 0;
	text-transform: uppercase;
	color: #1C213F;
	text-align: left;
	}
.obj_btn-widget .text .t_discover strong{
	font-weight: 700;
	}	
.obj_btn-widget .text .icon{
	position: relative;
	width: 11px;
	height: 18px;
	margin: auto 12px auto 0;
	}



/* ANIM*/
@keyframes circleSpins {
	0% { transform : rotate(0deg) }
	to { transform : rotate(1turn) }
}

@keyframes centerCircleSpins {
	0% { transform : rotate(-30deg) }
	22% { transform : rotate(-30deg) }
	25% { transform : rotate(150deg) }
	48% { transform : rotate(150deg) }
	50% { transform : rotate(-30deg) }
	72% { transform : rotate(-30deg) }
	75% { transform : rotate(245deg) }
	98% {  transform : rotate(245deg) }
	to { transform : rotate(-30deg) }
}

@keyframes centerCircleSpinsTwo {
	0% { transform : rotate(30deg) }
	22% { transform : rotate(30deg) }
	25% { transform : rotate(170deg) }
	48% { transform : rotate(170deg) }
	51% { transform : rotate(300deg) }
	72% { transform : rotate(300deg) }
	75% { transform : rotate(210deg) }
	98% { transform : rotate(210deg) }
	to { transform : rotate(30deg) }
}

.obj_btn-widget .obj_circle {
	position : relative;	
	display : block;
	width : 80px;
	height : 80px;
	margin : 0 0 0 auto;
	z-index : 1;	
	transition : max-width 2s ease-in-out, top .5s ease-in-out, left .5s ease-in-out;
	border-radius: 40px;
	background: #456FB5;
	}
.obj_btn-widget .obj_circle.anim-1 {
	max-width : 100%;
	opacity : 1;	
	transition : all .5s ease-out;
	}
.obj_btn-widget .obj_circle.anim-2 { top : 25%; }
.obj_btn-widget .obj_circle.anim-3 { top : 35%; left : -45%; }
.obj_btn-widget .obj_circle.anim-4 { top : 65%; left : 55%; }
.obj_btn-widget .obj_circle.anim-5 { top : 60%; left : 30%; }
.obj_btn-widget .obj_circle.anim-6 { top : 60%; left : -30%; }
.obj_btn-widget .obj_circle.anim-7 { top : 40%; left : 0; }
.obj_btn-widget .obj_circle.anim-8 { top : 64%; left : 50%; }

.obj_btn-widget .obj_circle .sml-crcl {
	position : absolute;
	top : 0;
	bottom : 0;
	right : 0;
	left : 0;
	margin : auto;
	z-index : 2;
}
.obj_btn-widget .obj_circle .sml-crcl.var_1 {
	width : 100%;
	opacity : 1;
	animation : circleSpins 40s linear infinite;
}
.obj_btn-widget .obj_circle .sml-crcl.var_1-1 {
	width: 100%;
	animation: circleSpins 18s linear infinite;
}
.obj_btn-widget .obj_circle .sml-crcl.var_2 {
	width: 80%;
	animation: centerCircleSpinsTwo 15s linear infinite;
}
.obj_btn-widget .obj_circle .sml-crcl.var_3 {
	width: 30%;
	animation: circleSpins 2s linear infinite;
}
.obj_btn-widget .obj_circle .sml-crcl.var_3-1 {
	width: 30%;
	animation: circleSpins 5s linear infinite;
}
.obj_btn-widget .obj_circle .sml-crcl.var_4 {
	width: 55%;
	animation: centerCircleSpinsTwo 8s linear infinite;
}

	
@media screen and (max-width:767px){
	.obj_widget-skinconsult {
		width: 60px;
		right: 15px;
		}
	.obj_widget-skinconsult.is-open{
		width: calc(100% - 30px);
		max-width: 460px;
		}
	.obj_widget-skinconsult .obj_content{
		bottom: 30px;
		}
	.obj_widget-skinconsult .close {
		top: 20px;
		right: 20px;
		}	
	.obj_widget-skinconsult .ctn_header {
    	padding: 0 20px 25px;
		}
	.obj_widget-skinconsult .ctn_header h3 {
		width: 230px;
		height: 25px;
		background-size: auto 100%;
		}	
	.obj_widget-skinconsult .ctn_content{
		padding-left: 20px;
		}
	.obj_widget-skinconsult .ctn_steps {
		width: 44%;
		}
	.obj_widget-skinconsult .ctn_steps h4 {
		font-size: 18px;
		padding: 5px 0 20px;
		}
	.obj_widget-skinconsult .ctn_steps h4 strong{
		font-size: 25px;
		}
	.obj_widget-skinconsult .ctn_steps figure {
		min-width: 35px;
		min-height: 35px;
		height: 35px;
		margin: 0 5px 0 0;
		}
	.obj_widget-skinconsult .ctn_steps .step{
		margin: 0 0 10px;
		}
	.obj_widget-skinconsult .ctn_steps .t_desc {
		font-size: 11px;
		}
	.obj_widget-skinconsult .ctn_steps .i_selfie svg,
	.obj_widget-skinconsult .ctn_steps .i_profile svg,
	.obj_widget-skinconsult .ctn_steps .i_routine svg{
		width: auto;
		height: 20px;
		}
	.obj_widget-skinconsult .ctn_visuel {
		width: 56%;
		max-width: 173px;
		height: 237px;
		}
	.obj_widget-skinconsult .ctn_visuel .obj_label{
		width: 48%;
		}
	.obj_widget-skinconsult .ctn_visuel .obj_label .obj_encart{
		font-size: 9px;
		}
	.obj_widget-skinconsult .ctn_visuel .face img{
		max-width: 100%;
		}	
	.obj_widget-skinconsult .ctn_visuel .obj_label .t_name {
		font-size: 13px;
		letter-spacing: -0.5px;
		}	
	.obj_widget-skinconsult	.cta-container{
		margin-top: 20px;
		}	
	.obj_btn-widget {
		width: 60px;
		height: 60px;
		}
	.obj_btn-widget:hover .text{
		right: 70px;
		}	
	.obj_btn-widget .obj_circle{
		width: 60px;
		height: 60px;
		}

	
}

/* SURCHARGES PAGES */

/* PG SKINCONSULT EXPLANATION */
.pg_skinconsult-explanation .obj_widget-skinconsult{
	display: none;
	}
/* PG SKINANALYSES */
.pg_skinanalyses .obj_widget-skinconsult{
	display: none;
	}

/* PG PRODUCT MOBILE*/
@media screen and (max-width:767px){
	.pg_product .obj_widget-skinconsult{
		bottom: 95px;
		}
}